Skip to main content
`Ctrl`+`K`

# EPSGetWhichEigenpairs

Returns which portion of the spectrum is to be sought.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetWhichEigenpairs(EPS eps,EPSWhich *which)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- which - the portion of the spectrum to be sought, see `EPSWhich` for possible values

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetWhichEigenpairs()`, `EPSWhich`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages